<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->
    <title>Boostrap Grid System</title>
</head>
<body class="text-center">
    <h1>Boostrap Grid System</h1>

    <hr>

    <!-- Two columns -->
    <h2 class="border-bottom w-25 container-fluid">Two Columns</h2>
        <div class="container-fluid">
            <h1>1:1 Ratio</h1>
                <!-- row text-light --- sort the elements in one row -->
                <div class="row text-light"> 
                    <div class="bg-primary pt-3 pb-3 border border-dark col-6">6 col</div>
                    <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
                </div>

            <h1>1:2 Ratio</h1>
                <div class="row text-light">
                    <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
                    <div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 col</div>
                </div>

            <h1>1:3 Ratio</h1>
                <div class="row text-light">
                    <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
                    <div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 col</div>
                </div>
    </div>
    
    <hr>

    <!-- Three columns -->
    <h2 class="border-bottom w-25 container-fluid">Three Columns</h2>
        <div class="container-fluid">
        <!-- Row with 3 equal columns -->
            <h3>1:1:1 Ratio</h3>
            <div class="row text-light">
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
            </div>

            <h3>1:2:1 Ratio</h3>
            <div class="row text-light">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
            </div>

            <h3>3:7:2 Ratio</h3>
            <div class="row text-light">
                <div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 col</div>
                <div class="bg-primary pt-3 pb-3 border border-dark col-2">2 col</div>
            </div>
        </div>
    </div>

    <hr>

    <h2 class="border-bottom w-50 container-fluid">Automatic Sizing</h2>
    <div class="container-fluid">
        <div class="row text-light">
            <div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col">Automatic</div>
        </div>
    </div>

    <hr>

    <!-- col-xs-value, col-xl-value -->
    <h2 class="border-bottom w-50 container-fluid">Mobile Responsive</h2>
    <div class="containter-fluid">
        <div class="row text-light">
            <div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-lg-10">Responsive</div>
        </div>
    </div>

    <h2>Multi-row Layout</h2>
    <div class="containter-fluid">
        <div class="row text-light">
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog</div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog</div>
        </div>
    </div>

    <h2>Offsetting Columns</h2>
    <div class="containter-fluid">
        <div class="row text-light">
            <div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
            <div class="bg-primary pt-3 pb-3 border border-dark offset-md-2 offset-lg-4 col-6">Offset Column</div>
        </div>
    </div>

    <h2>Column Orders</h2>
    <div class="containter-fluid">
        <div class="row text-light">
            <div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 oder-md-2">Right</div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
    
</body>
</html>